%define upstream_name    Games-Solitaire-Verify
%define upstream_version 0.1701

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Process and verify solitaire games
License:    MIT
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a CPAN Perl module that verifies the solutions of various variants
of card Solitaire. It does not aim to try to be a solver for them, because
this is too CPU intensive to be adequately done using perl5 (as of
perl-5.10.0). If you're interested in the latter, look at:

* * http://fc-solve.berlios.de/

* * http://fc-solve.berlios.de/links.html#other_solvers

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"


%install
./Build install --destdir=%{buildroot}

%files
%doc COPYING Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/verify-solitaire-solution
%{_bindir}/expand-solitaire-multi-card-moves
%{_mandir}/man1/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.170.100-3pclos2017
- rebuild against updates

